Skip to main content
`Ctrl`+`K`

# vispy.geometry.calculations module

Miscellaneous functions

vispy.geometry.calculations.resize(image, shape, kind='linear')

  Resize an image

  Parameters:
    image ndarray

      Array of shape (N, M, …).

    shape tuple

      2-element shape.

    kind str

      Interpolation, either “linear” or “nearest”.

  Returns:
    scaled_image ndarray

      New image, will have dtype np.float64.